TempFile:
  type: object
  properties:
    id:
      type: integer
      example: 1
    path:
      type: string
      description: Path to temp file
      example: "0814a269-11f2-403c-8b00-ca01812c53b5"
    created_at:
      format: date-time
      type: string
      example: "2021-01-29T12:36:13.000000Z"
  required:
    - id
    - path
    - created_at

SearchTempFilesRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      type: object
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchTempFilesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/TempFile'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
